/*
 * File: Factorial.java
 * ================================================================
 * A program that shows off computing factorials
 */
import acm.program.*;

public class Factorial extends ConsoleProgram {
	private static final int MAX_NUM = 10;
	
	public void run() {
		setFont("CenturySchoolbookL-BOLD-24");
		
		/* Print out 0! ... (MAX_NUM - 1)!. */
		for (int i = 0; i < MAX_NUM; i++) {
			println(i + "! = " + factorial(i));
		}
	}
	
	/**
	 * Computes n!
	 * @param n The value of n.
	 * @return n!
	 */
	private int factorial(int n) {
		int result = 1;
		for (int i = 1; i <= n; i++) {
			result *= i;
		}
		return result;
	}
}
